### Method

# Gck Object set_finish

#### Declaration [src]

    gboolean
    gck_object_set_finish (
      GckObject* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Get the status of the operation to set attributes on a PKCS#11 object, begun with gck_object_set_async().

#### Parameters

`result`

  Type: `GAsyncResult`

  The result of the destory operation passed to the callback.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the attributes were successfully set on the object or not.